POST
打款方式查询
不同国家支持的打款方式可能不同;该接口用于查询指定国家、币种和主体类型支持的打款方式。
请求
merchantNoOnerway 分配的商户号。通常在沙盒或生产商户开通后,从商户后台或开户材料中获取。
示例:
801129destinationCountry付款地区,如:PH。
示例:
USaccountCurrency账户币种,如:PHP。
示例:
USDentityType主体类型;
0 表示公司,1 表示个人。示例:
0sign请求签名字符串,需使用商户私钥按 Transfer 请求签名规则生成。
curl -X POST 'https://sandbox-api.onerway.com/payout/api/v1/acct/queryPaymentMethods' \
-H 'Content-Type: application/json' \
--data-raw '{
"accountCurrency": "USD",
"destinationCountry": "US",
"entityType": "0",
"merchantNo": "801129",
"sign": "{{SIGN}}"
}'响应
respCodeOnerway 返回的响应码。
respMsgOnerway 返回的响应信息。
data{ destinationCountry, accountCurrency, ... }所查询国家、币种和主体类型下可用的付款方式。
{
"respCode": "20000",
"respMsg": null,
"data": {
"destinationCountry": "US",
"accountCurrency": "USD",
"entityType": "0",
"paymentMethods": [
"E_WALLET",
"SWIFT",
"BANK_TRANSFER",
"CASH_PICKUP"
]
}
}该接口暂未记录错误响应。